# class Chef::Resource::ErlCall

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource.new

    # File lib/chef/resource/erl_call.rb, line 30
    def initialize(name, run_context=nil)
      super
      @resource_name = :erl_call

      @code = "q()." # your erlang code goes here
      @cookie = nil # cookie of the erlang node
      @distributed = false # if you want to have a distributed erlang node
      @name_type = "sname" # type of erlang hostname name or sname
      @node_name = "chef@localhost" # the erlang node hostname

      @action = "run"
      @allowed_actions.push(:run)
    end

### Public Instance Methods

code(arg=nil) click to toggle source

    # File lib/chef/resource/erl_call.rb, line 44
    def code(arg=nil)
      set_or_return(
        :code,
        arg,
        :kind_of => [ String ]
      )
    end

cookie(arg=nil) click to toggle source

    # File lib/chef/resource/erl_call.rb, line 52
    def cookie(arg=nil)
      set_or_return(
        :cookie,
        arg,
        :kind_of => [ String ]
      )
    end

distributed(arg=nil) click to toggle source

    # File lib/chef/resource/erl_call.rb, line 60
    def distributed(arg=nil)
      set_or_return(
        :distributed,
        arg,
        :kind_of => [ TrueClass, FalseClass ]
      )
    end

name_type(arg=nil) click to toggle source

    # File lib/chef/resource/erl_call.rb, line 68
    def name_type(arg=nil)
      set_or_return(
        :name_type,
        arg,
        :kind_of => [ String ]
      )
    end

node_name(arg=nil) click to toggle source

    # File lib/chef/resource/erl_call.rb, line 76
    def node_name(arg=nil)
      set_or_return(
        :node_name,
        arg,
        :kind_of => [ String ]
      )
    end